Ext.onReady(function() {
    // =============================================================
    // Stylesheet Switcher
    // =============================================================
    Ext.get('styleswitcher_select').on('change', function(e, select) {
        var name = select[select.selectedIndex].value;
        setActiveStyleSheet(name);
    });

    var cookie = readCookie("style");
    var title = cookie ? cookie : getPreferredStyleSheet();
    Ext.get('styleswitcher_select').dom.value = title;

    // =============================================================
    // BgImage Switcher
    // =============================================================
    Ext.get('bgimageswitcher_select').on('change', function(e, select) {
        var name = select[select.selectedIndex].value;
        setActiveBgImage(name);
    });

    var cookie = readCookie("bgimage");
    var name = cookie ? cookie : getPreferredBgImage();
    Ext.get('bgimageswitcher_select').dom.value = name;
    setActiveBgImage(name);

});

// =============================================================
// Stylesheet Switcher
// =============================================================
//function setThema() {
//    var name = Ext.get('styleswitcher_select').dom.value
//    setActiveStyleSheet(name);
//};
